(function() {
  /*
  Copyright (c) 2002-2012 "Neo Technology,"
  Network Engine for Objects in Lund AB [http://neotechnology.com]
  
  This file is part of Neo4j.
  
  Neo4j is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */  define(["neo4j/webadmin/ApplicationState", "ribcage/security/HtmlEscaper", "lib/amd/Backbone", "lib/amd/neo4js"], function(ApplicationState, HtmlEscaper, Backbone, neo4js) {
    var Bootstrapper;
    return Bootstrapper = (function() {
      function Bootstrapper() {}
      Bootstrapper.prototype.bootstrap = function(modules) {
        var appState, htmlEscaper;
        htmlEscaper = new HtmlEscaper();
        window.htmlEscape = htmlEscaper.escape;
        jQuery.ajaxSetup({
          timeout: 1000 * 60 * 60 * 6
        });
        appState = new ApplicationState;
        appState.set({
          server: new neo4js.GraphDatabase(location.protocol + "//" + location.host)
        });
        return jQuery(function() {
          var m, _i, _len;
          for (_i = 0, _len = modules.length; _i < _len; _i++) {
            m = modules[_i];
            m.init(appState);
          }
          return Backbone.history.start();
        });
      };
      return Bootstrapper;
    })();
  });
}).call(this);
